
#ifndef PLUGIN_H
#define PLUGIN_H

#include <windows.h>

#ifdef __cplusplus
extern "C" {
#endif	//__cplusplus

#define PLUGIN_VERSION 2

typedef struct tagPREFS {
	HINSTANCE hInstance;
	int id;
	DLGPROC DlgProc;
	LPARAM lParam;
}PREFS;

typedef struct tagCOMMANDPARAM {
	int nValue[4];
	WCHAR szText[4][MAX_PATH];
}COMMANDPARAM;

typedef struct tagCONFIGPARAM {
	BOOL bInitialized;	//TRUE:ς݁@FALSE:ĂȂ
	COMMANDPARAM param;
}CONFIGPARAM;

typedef struct tagPLUGIN {
	int version;
	WCHAR *name;
	BOOL (*Init)(void);
	void (*Quit)(void);
	void (*Config)(PREFS* prefs, CONFIGPARAM* configparam);
	void (*Command)(HWND hwnd, LPCWSTR path, COMMANDPARAM* param);
	HWND hwndParent;
	HINSTANCE hDllInstance;
}PLUGIN;

#ifdef __cplusplus
}
#endif	//__cplusplus

#endif	//PLUGIN_H
